Subject: Re: bug#33729: 27.0.50; Partial glyphs not rendered for Gujarati with Harfbuzz enabled (renders fine using m17n)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Dec 2018 12:11:15 +0200

> Date: Sat, 22 Dec 2018 11:06:44 +0200
> From: Khaled Hosny <[email-masked]>
> Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked],
> 	[email-masked], [email-masked]
> 
> > Alternatively, we could just use HarfBuzz’s own built in ucdn-based
> > Unicode function for this. The only reason for overriding this in Emacs
> > was to keep HarfBuzz and Emacs Unicode support in sync, but if we are
> > going to duplicate the Unicode script data then better use what HarfBuzz
> > has.
> > 
> > I’m going to try this now.
> 
> I pushed a commit to harfbuzz branch that I think fixes this issue now.

Thanks.

There's a FIXME in the change you pushed (which I believe just
repeats what was already in the previous version).  Ca you tell more
about the problem we need to fix there?